## gmp4 4.2.1+dfsg

=== debian/changelog ===
gmp4 (2:4.2.1+dfsg-5rb1co8+apertispro0) apertis; urgency=medium

  * Correct apertis pro version

 -- Apertis CI <devel@lists.apertis.org>  Tue, 24 Aug 2021 08:24:05 +0000

gmp4 (2:4.2.1+dfsg-5rb1co8apertispro0) apertis; urgency=medium

  * Sync from apertis/v2021.

 -- Apertis CI <devel@lists.apertis.org>  Sat, 08 May 2021 23:21:47 +0000

gmp4 (2:4.2.1+dfsg-5rb1co8) apertis; urgency=medium

  [ Ritesh Raj Sarraf ]
  * debian/apertis/component: Set to target

 -- Emanuele Aina <emanuele.aina@collabora.com>  Mon, 15 Feb 2021 11:43:03 +0000

gmp4 (2:4.2.1+dfsg-5rb1co7) apertis; urgency=medium

  * Use 3.0 (quilt) source package format.
  * Use debhelper 11.
  * Patch automake files to not use deANSIfication.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Tue, 20 Aug 2019 15:25:33 +0300

gmp4 (2:4.2.1+dfsg-5rb1co6) apertis; urgency=medium

  * Provide libgmpxx4ldbl, but filter it out from the dependencies.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Thu, 07 Feb 2019 16:26:28 +0100

gmp4 (2:4.2.1+dfsg-5rb1co5) apertis; urgency=medium

  * Add Breaks against libgmp-dev.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Thu, 07 Feb 2019 15:37:39 +0100

gmp4 (2:4.2.1+dfsg-5rb1co4) apertis; urgency=medium

  * Use binary:Version instead of Source-Version.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Thu, 07 Feb 2019 15:08:31 +0100

gmp4 (2:4.2.1+dfsg-5rb1co3) 17.03; urgency=medium

  * Updated config.sub config.guess.

 -- Andrew Lee (李健秋) <andrew.lee@collabora.co.uk>  Tue, 28 Feb 2017 18:08:18 +0800

gmp4 (2:4.2.1+dfsg-5rb1co2) jasmine; urgency=low

  * debian/contro: libgmp3-dev drop depend on libgmpxx.

 -- Andrew Lee (李健秋) <andrew.lee@collabora.co.uk>  Fri, 05 Sep 2014 15:13:55 +0800

gmp4 (2:4.2.1+dfsg-5rb1co1) jasmine; urgency=low

  * debian/control: drop libgmpxx4ldbl.

 -- Andrew Lee (李健秋) <andrew.lee@collabora.co.uk>  Thu, 04 Sep 2014 15:31:50 +0800

gmp4 (2:4.2.1+dfsg-5rb1) jasmine; urgency=low

  *  debian/control:package renamed from gmp to gmp4 (CHAI: #2831)

 -- rbei-b+i <rbei-b+i@in.bosch.com>  Wed, 30 Jul 2014 15:02:10 +0530

gmp (2:4.2.1+dfsg-5rb1) jasmine; urgency=low

  * debian/patches : gmp-mpz-t-scan-bugfix.patch applied

 -- rbei-b+i <rbei-b+i@in.bosch.com>  Wed, 23 Jul 2014 17:38:04 +0530

gmp (2:4.2.1+dfsg-5) unstable; urgency=low

  * debian/control: Rename libgmpxx4 to libgmpxx4ldbl.  Closes: #430253.
  Set Standards-Version to 3.7.2; no changes.
  
  * Apply patch gcc4.3-inline.diff
    (http://gmplib.org/list-archives/gmp-devel/2007-May/000745.html).
    Closes: #431495.

 -- Steve M. Robbins <smr@debian.org>  Wed, 11 Jul 2007 00:05:28 -0500

gmp (2:4.2.1+dfsg-4) unstable; urgency=high

  * Build with -O0 on m68k due to a bug in gcc-4.1.  Closes: #378719.

 -- Steve M. Robbins <smr@debian.org>  Wed, 19 Jul 2006 22:06:09 -0400

gmp (2:4.2.1+dfsg-3) unstable; urgency=high

  * Disable fat support for amd64, as it is broken upstream.  Thanks to
    Steinar H. Gunderson for initial version of patch.  Closes: #376353.

 -- Steve M. Robbins <smr@debian.org>  Mon, 17 Jul 2006 23:15:30 -0400

gmp (2:4.2.1+dfsg-2) unstable; urgency=low

  * Enable fat libraries.  Closes: #362759.  Applied patch
    debian/patches/x86-fat.diff, adapted from
    http://www.swox.com/gmp/patches/x86-fat.diff.

 -- Steve M. Robbins <smr@debian.org>  Fri, 30 Jun 2006 22:34:47 -0400

gmp (2:4.2.1+dfsg-1) unstable; urgency=low

  * New upstream.
  
  * Fix SONAME on libgmpxx.  Closes: #368310.
    - introduces package libgmpxx4.
  
  * A test case miscompiles with -O3.  Build with -O2.  Closes: #372563.
  
  * Do not install private headers.  Closes: #363692.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Jun 2006 21:20:03 -0400

gmp (4.2.dfsg-1) unstable; urgency=low

  * New upstream version.  Closes: #359147, #362273.
    - Remove all patches except gmp-4.2-noexecstack_cfgs.diff for
      non-executable stack.

  * Remove non-DFSG documentation.  Closes: #335403.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Apr 2006 02:34:55 -0400

gmp (4.1.4-11) unstable; urgency=low

  * Apply two more upstream patches:
    - http://www.swox.com/gmp/patches/gmp-impl.h.MPF_SIGNIFICANT_DIGITS.diff
    - http://www.swox.com/gmp/patches/gmp-impl.h.MPN_SIZEINBASE.diff

  * Apply patch for big-endian ARM (thanks, Lennert Buytenhek).
  Closes: #333612.
  
  * Apply patch to turn off executable stack (thanks, Sheplyakov Alexei).
  Closes: #323944.
  
  * Run "autoreconf" to update autotools files.  Closes: #304635.
  
 -- Steve M. Robbins <smr@debian.org>  Thu, 13 Oct 2005 23:13:04 -0400

gmp (4.1.4-10) unstable; urgency=low

  * debian/rules: provide only libgmp3c2 in libgmp3c2.shlib file.
    Closes: #322691

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Aug 2005 13:38:00 -0400

gmp (4.1.4-9) unstable; urgency=low

  * Build with -O2 on m68k (thanks, Matthias Klose and Laurent Fousse).
    Closes: #319205.

 -- Steve M. Robbins <smr@debian.org>  Sun,  7 Aug 2005 23:23:08 -0400

gmp (4.1.4-8) unstable; urgency=low

  * Re-release to fix i386 build.  The -7.1 upload was built
  against a non-existent libstdc++6.  Closes: #317636.

 -- Steve M. Robbins <smr@debian.org>  Sun, 10 Jul 2005 09:42:44 -0400

gmp (4.1.4-7.1) unstable; urgency=medium

   * NMU.
   * debian/rules: Fix typo in dh_makeshlibs, referencing a non existing
     package.

 -- Matthias Klose <doko@debian.org>  Sat, 9 Jul 2005 18:22:58 +0200

gmp (4.1.4-7) unstable; urgency=low

  * CXX transition (thanks to Matthias Klose for patches):
    - Split out the C++ library into package libgmp3xx.  Closes: #311610.
    - Rename libgmp3 to libgmp3c2, otherwise packages relying on the C++
      library in libgmp3 will break.

 -- Steve M. Robbins <smr@debian.org>  Fri,  8 Jul 2005 23:38:22 -0400

gmp (4.1.4-6) unstable; urgency=low

  * mpn/generic/rootrem.c: Fix buffer overrun in mpz_root(), mpz_rootrem().
    Upstream patch: http://www.swox.com/gmp/patches/mpn_rootrem.c.diff
  

