=== debian/control ===
Source: gmp4
Section: libs
Priority: optional
Build-Depends: m4, debhelper (>= 11), autotools-dev, dh-autoreconf
Maintainer: Steve M. Robbins <smr@debian.org>
Uploaders: Philipp Matthias Hahn <pmhahn@debian.org>
Standards-Version: 3.7.2

Package: libgmp3c2
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libgmp3, libgmp2 (<< 2.0.2-10)
Replaces: libgmp3, libgmpxx4ldbl
Provides: libgmpxx4ldbl
Description: Multiprecision arithmetic library
 GNU MP is a programmer's library for arbitrary precision
 arithmetic (ie, a bignum package).  It can operate on signed
 integer, rational, and floating point numeric types.
 .
 It has a rich set of functions, and the functions have a regular
 interface.
 .
 The home page is http://www.swox.com/gmp

Package: libgmp3-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libgmp3c2 (= ${binary:Version})
Replaces: libgmp2-dev, libgmp-dev
Conflicts: libgmp2-dev
Breaks: libgmp-dev
Recommends: libstdc++-dev
Provides: libgmp-dev
Suggests: libgmp3-doc, libmpfr-dev
Description: Multiprecision arithmetic library developers tools
 This development package provides the header files and the symbolic
 links to allow compilation and linking of programs that use the libraries
 provided in the libgmp3 package.
 .
 Both C and C++ bindings are present in this package.  Package
 libstdc++-dev is required to use the C++ bindings.  
 .
 The MPFR library (multiple-precision floating-point) used to be
 included, but has since been moved to package libmpfr-dev.

Package: libgmp3-doc
Section: doc
Priority: optional
Architecture: all
Replaces: libgmp3 (<< 3.1.1-8)
Description: Multiprecision arithmetic library example code
 This package provides example code illustrating the use of GMP.
