=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# export AUTOMAKE = automake-1.11

ifeq (amd64,$(DEB_HOST_ARCH))
  confflags += --disable-fat
else
  confflags += --enable-fat
endif

%:
	dh "$@"

override_dh_auto_configure:
	dh_auto_configure -- --enable-cxx --enable-mpbsd


override_dh_auto_test:
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	dh_auto_test
endif

override_dh_install:
	# Library packages
	dh_install -plibgmp3c2 --autodest debian/tmp/usr/lib/*/libgmp.so.*
	dh_install -plibgmp3c2 --autodest debian/tmp/usr/lib/*/libmp.so.*
	dh_install -plibgmp3c2 --autodest debian/tmp/usr/lib/*/libgmpxx.so.*
	
	# Developer packages
	dh_install -plibgmp3-dev --autodest debian/tmp/usr/lib/*/libgmp.so
	dh_install -plibgmp3-dev --autodest debian/tmp/usr/lib/*/libgmp.a
	dh_install -plibgmp3-dev --autodest debian/tmp/usr/include/gmp.h
	
	dh_install -plibgmp3-dev --autodest debian/tmp/usr/lib/*/libmp.so
	dh_install -plibgmp3-dev --autodest debian/tmp/usr/lib/*/libmp.a
	dh_install -plibgmp3-dev --autodest debian/tmp/usr/include/mp.h
	
#	dh_install -plibgmp3-dev --autodest debian/tmp/usr/lib/libmpfr.a
#	dh_install -plibgmp3-dev --autodest debian/tmp/usr/include/mpfr.h
#	dh_install -plibgmp3-dev --autodest debian/tmp/usr/include/mpf2mpfr.h
	
	dh_install -plibgmp3-dev --autodest debian/tmp/usr/lib/*/libgmpxx.so
	dh_install -plibgmp3-dev --autodest debian/tmp/usr/lib/*/libgmpxx.a
	dh_install -plibgmp3-dev --autodest debian/tmp/usr/include/gmpxx.h
#	dh_install -plibgmp3-dev --autodest debian/tmp/usr/include/mpfrxx.h
	
	# Documentation package
	#dh_installinfo -plibgmp3-doc debian/tmp/usr/info/*
	dh_installexamples -plibgmp3-doc --exclude=Makefile.in demos
	find debian/libgmp3-doc -name Makefile | xargs rm -f
	
	# Miscellaneous install.
	dh_install

override_dh_installdocs:
	dh_installdocs NEWS README debian/FAQ
